﻿using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Data.SqlClient;
using System.Linq;

namespace Benday.EfCore.LegacyApi
{
    public class MiscellaneousManagementService
    {
        public List<Food> GetFoodsByAnimalId(int animalId)
        {
            var byAnimalId = new SqlParameter("AnimalId", animalId);

            using (var context = GetDbContextInstance())
            {
                var results = context.Food
                .FromSql("EXECUTE dbo.Food_GetByAnimalId @animalId", byAnimalId)
                .ToList();

                return results;
            }
        }

        private LegacyDbContext GetDbContextInstance()
        {
            var options = new DbContextOptionsBuilder<LegacyDbContext>();

            options.UseSqlServer("Server=localhost; Database=EfCoreLegacyDb; User Id=sa; Password=Pa$$word;");

            var context = new LegacyDbContext(options.Options);

            return context;
        }
    }
}
