﻿USE [master]
GO
/****** Object:  Database [EfCoreImportDbSource]    Script Date: 12/4/2018 5:03:02 PM ******/
CREATE DATABASE [EfCoreImportDbSource]
 CONTAINMENT = NONE
 ON  PRIMARY 
( NAME = N'EfCoreImportDbSource', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.MSSQLSERVER\MSSQL\DATA\EfCoreImportDbSource.mdf' , SIZE = 8192KB , MAXSIZE = UNLIMITED, FILEGROWTH = 65536KB )
 LOG ON 
( NAME = N'EfCoreImportDbSource_log', FILENAME = N'C:\Program Files\Microsoft SQL Server\MSSQL14.MSSQLSERVER\MSSQL\DATA\EfCoreImportDbSource_log.ldf' , SIZE = 8192KB , MAXSIZE = 2048GB , FILEGROWTH = 65536KB )
GO
ALTER DATABASE [EfCoreImportDbSource] SET COMPATIBILITY_LEVEL = 140
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [EfCoreImportDbSource].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO
ALTER DATABASE [EfCoreImportDbSource] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET ARITHABORT OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [EfCoreImportDbSource] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [EfCoreImportDbSource] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET  DISABLE_BROKER 
GO
ALTER DATABASE [EfCoreImportDbSource] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET TRUSTWORTHY OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [EfCoreImportDbSource] SET READ_COMMITTED_SNAPSHOT OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET HONOR_BROKER_PRIORITY OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET RECOVERY FULL 
GO
ALTER DATABASE [EfCoreImportDbSource] SET  MULTI_USER 
GO
ALTER DATABASE [EfCoreImportDbSource] SET PAGE_VERIFY CHECKSUM  
GO
ALTER DATABASE [EfCoreImportDbSource] SET DB_CHAINING OFF 
GO
ALTER DATABASE [EfCoreImportDbSource] SET FILESTREAM( NON_TRANSACTED_ACCESS = OFF ) 
GO
ALTER DATABASE [EfCoreImportDbSource] SET TARGET_RECOVERY_TIME = 60 SECONDS 
GO
ALTER DATABASE [EfCoreImportDbSource] SET DELAYED_DURABILITY = DISABLED 
GO
EXEC sys.sp_db_vardecimal_storage_format N'EfCoreImportDbSource', N'ON'
GO
ALTER DATABASE [EfCoreImportDbSource] SET QUERY_STORE = OFF
GO
USE [EfCoreImportDbSource]
GO
/****** Object:  Table [dbo].[Animal]    Script Date: 12/4/2018 5:03:02 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Animal](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_Animal] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AnimalFood]    Script Date: 12/4/2018 5:03:02 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AnimalFood](
	[AnimalId] [int] NOT NULL,
	[FoodId] [int] NOT NULL,
 CONSTRAINT [PK_AnimalFood] PRIMARY KEY CLUSTERED 
(
	[AnimalId] ASC,
	[FoodId] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Company]    Script Date: 12/4/2018 5:03:02 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Company](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_Company] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Employee]    Script Date: 12/4/2018 5:03:02 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Employee](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[FirstName] [nvarchar](50) NOT NULL,
	[LastName] [nvarchar](50) NOT NULL,
	[CompanyId] [int] NOT NULL,
 CONSTRAINT [PK_Employee] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[EmployeePhone]    Script Date: 12/4/2018 5:03:02 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[EmployeePhone](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[PhoneNumber] [nvarchar](50) NOT NULL,
	[PhoneType] [nvarchar](50) NOT NULL,
	[EmployeeId] [int] NOT NULL,
 CONSTRAINT [PK_EmployeePhone] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Food]    Script Date: 12/4/2018 5:03:02 PM ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Food](
	[Id] [int] IDENTITY(1,1) NOT NULL,
	[Name] [nvarchar](50) NOT NULL,
 CONSTRAINT [PK_Food] PRIMARY KEY CLUSTERED 
(
	[Id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[AnimalFood]  WITH CHECK ADD  CONSTRAINT [FK_AnimalFood_Animal] FOREIGN KEY([AnimalId])
REFERENCES [dbo].[Animal] ([Id])
GO
ALTER TABLE [dbo].[AnimalFood] CHECK CONSTRAINT [FK_AnimalFood_Animal]
GO
ALTER TABLE [dbo].[AnimalFood]  WITH CHECK ADD  CONSTRAINT [FK_AnimalFood_Food] FOREIGN KEY([FoodId])
REFERENCES [dbo].[Food] ([Id])
GO
ALTER TABLE [dbo].[AnimalFood] CHECK CONSTRAINT [FK_AnimalFood_Food]
GO
ALTER TABLE [dbo].[Employee]  WITH CHECK ADD  CONSTRAINT [FK_Employee_Company] FOREIGN KEY([CompanyId])
REFERENCES [dbo].[Company] ([Id])
GO
ALTER TABLE [dbo].[Employee] CHECK CONSTRAINT [FK_Employee_Company]
GO
ALTER TABLE [dbo].[EmployeePhone]  WITH CHECK ADD  CONSTRAINT [FK_EmployeePhone_Employee] FOREIGN KEY([EmployeeId])
REFERENCES [dbo].[Employee] ([Id])
GO
ALTER TABLE [dbo].[EmployeePhone] CHECK CONSTRAINT [FK_EmployeePhone_Employee]
GO
USE [master]
GO
ALTER DATABASE [EfCoreImportDbSource] SET  READ_WRITE 
GO
